package token;

import file.FilePosition;
import sexpression.SExpression;

import java.util.function.Supplier;

public class LeftParenthesis extends Token {

    public LeftParenthesis(String text, FilePosition position) {
        super(text, position);
    }

    @Override
    public SExpression parseSExpression(Supplier<Token> getNextToken) {
        Token nextToken = getNextToken.get();

        return nextToken.parseListTail(getNextToken).invoke();
    }
}
